Package org.silverpeas.components.kmelia.model

# Class ValidatorsList

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
java.util.ArrayList<String>
org.silverpeas.components.kmelia.model.ValidatorsList

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<String>`, `Collection<String>`, `List<String>`, `RandomAccess`

public class ValidatorsList extends ArrayList<String>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidatorsList(int validationType)`
  `ValidatorsList(List<String> userIds)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String[]`
  `getUserIds()`
  `int`
  `getValidationType()`
  `String`
  `getValidatorNames()`
  `int`
  `hashCode()`
  `boolean`
  `isAtLeastOnceTargetedValidatorActive()`
  `boolean`
  `isAtLeastOnceValidatorActive()`
  `boolean`
  `isClassicValidation()`
  `boolean`
  `isCollegiateValidation()`
  `boolean`
  `isTargetedValidation()`
  `boolean`
  `isValidationOperational()`

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll`

- ## Constructor Details

  - ### ValidatorsList

    public ValidatorsList(int validationType)

  - ### ValidatorsList

    public ValidatorsList(List<String> userIds)

- ## Method Details

  - ### isTargetedValidation

    public boolean isTargetedValidation()

  - ### isClassicValidation

    public boolean isClassicValidation()

  - ### isCollegiateValidation

    public boolean isCollegiateValidation()

  - ### getValidationType

    public int getValidationType()

  - ### getUserIds

    public String[] getUserIds()

  - ### isAtLeastOnceValidatorActive

    public boolean isAtLeastOnceValidatorActive()

  - ### isAtLeastOnceTargetedValidatorActive

    public boolean isAtLeastOnceTargetedValidatorActive()

  - ### isValidationOperational

    public boolean isValidationOperational()

  - ### getValidatorNames

    public String getValidatorNames()

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in interface `Collection<String>`
    Specified by:
      `equals` in interface `List<String>`
    Overrides:
      `equals` in class `ArrayList<String>`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `Collection<String>`
    Specified by:
      `hashCode` in interface `List<String>`
    Overrides:
      `hashCode` in class `ArrayList<String>`